Loading...
Searching...
No Matches
Helper macros

## Macros

#define | MBEDTLS_PSA_ALG_AEAD_EQUAL(aead_alg_1, aead_alg_2)

## Detailed Description

## Macro Definition Documentation

## MBEDTLS_PSA_ALG_AEAD_EQUAL

#define MBEDTLS_PSA_ALG_AEAD_EQUAL | ( |  | aead_alg_1,
|  |  | aead_alg_2
| ) |  |

Value:
(!(((aead_alg_1) ^ (aead_alg_2)) & \
~(PSA_ALG_AEAD_TAG_LENGTH_MASK | PSA_ALG_AEAD_AT_LEAST_THIS_LENGTH_FLAG)))
PSA_ALG_AEAD_TAG_LENGTH_MASK
#define PSA_ALG_AEAD_TAG_LENGTH_MASK
Definition crypto_values.h:1216
PSA_ALG_AEAD_AT_LEAST_THIS_LENGTH_FLAG
#define PSA_ALG_AEAD_AT_LEAST_THIS_LENGTH_FLAG
Definition crypto_values.h:1225

Check if two AEAD algorithm identifiers refer to the same AEAD algorithm regardless of the tag length they encode.

Parameters

  aead_alg_1 | An AEAD algorithm identifier.
  aead_alg_2 | An AEAD algorithm identifier.

Returns
  1 if both identifiers refer to the same AEAD algorithm, 0 otherwise. Unspecified if neither `aead_alg_1` nor `aead_alg_2` are a supported AEAD algorithm.

Definition at line 2390 of file crypto_values.h.